package spoon.vsuite.findbugs.template;

import spoon.reflect.code.CtStatementList;
import spoon.reflect.reference.CtTypeReference;
import spoon.template.Local;
import spoon.template.Parameter;
import spoon.template.Template;

public class CatcherTemplate implements Template {

	@Parameter
	CtTypeReference<? extends Throwable> _T_;

	@Parameter
	CtStatementList<?> lst;

	@Local
	public CatcherTemplate(CtTypeReference<? extends Throwable> _t_,
			CtStatementList<?> lst) {
		super();
		_T_ = _t_;
		this.lst = lst;
	}

	@Local
	public CatcherTemplate(CtTypeReference<? extends Throwable> _t_) {
		super();
		_T_ = _t_;
	}

	public void catcher() {
		try {
			lst.S();
		} catch (_T_ e) {
			e.printStackTrace();
		}
	}
}
